# backend/db/conexion.py
from entrypoint.init_db import db_credencial
from src.ConexionSql.Postgres_conexion import PostgresConexion

def get_conexion():
    conexion = PostgresConexion(db_credencial)
    try:
        yield conexion
    finally:
        conexion.close()